{
  "name": "weever-arcadiis",
  "license": "Apache-2.0",
  "version": "2.1.1-1",
  "description": "MNX Weever demonstration application",
  "main": "entrypoint.js",
  "repository": "https://gitlab.com/mnemotix/weever/weever-demo",
  "author": "Mnemotix <dev@mnemotix.com>",
  "private": true,
  "dependencies": {
    "@apollo/client": "^3.5.8",
    "@babel/core": "^7.17.2",
    "@babel/plugin-syntax-dynamic-import": "^7.8.3",
    "@babel/preset-env": "^7.16.11",
    "@babel/preset-react": "^7.16.7",
    "@babel/register": "^7.17.0",
    "@babel/runtime": "^7.17.2",
    "@emotion/react": "^11.7.1",
    "@emotion/styled": "^11.8.1",
    "@loadable/component": "^5.15.2",
    "@mnemotix/synaptix-client-toolkit": "2.5.5",
    "@mnemotix/synaptix.js": "4.12.1",
    "@mnemotix/weever-core": "2.1.1",
    "@mui/lab": "^5.0.0-alpha.80",
    "@mui/material": "^5.6.4",
    "@mui/styles": "^5.6.2",
    "@mui/system": "^5.6.4",
    "@synaptix/ui": "1.0.1",
    "babel-plugin-import": "^1.13.3",
    "babel-plugin-jsx-control-statements": "^4.1.0",
    "dayjs": "^1.8.17",
    "formik": "2.2.9",
    "got": "^11.7.0",
    "graphql": "15.7.2",
    "i18next": "^21.6.14",
    "lodash": "4.17.10",
    "node-cache": "^5.1.2",
    "notistack": "2.0.4",
    "numeraljs": "^1.5.6",
    "prop-types": "^15.7.2",
    "react": "17.0.2",
    "react-dom": "17.0.2",
    "react-helmet": "^6.1.0",
    "react-i18next": "11.16.2",
    "react-router": "5.2.0",
    "react-router-dom": "5.3.0",
    "react-router-named-routes": "^0.0.23",
    "rimraf": "^3.0.2",
    "webpack": "^5.68.0",
    "webpack-cli": "^4.9.2",
    "yup": "^0.32.11"
  },
  "devDependencies": {
    "@babel/cli": "^7.17.0",
    "@babel/plugin-transform-react-jsx-source": "^7.16.7",
    "webpack-bundle-analyzer": "^4.5.0",
    "webpack-dev-middleware": "^5.3.1",
    "webpack-hot-middleware": "^2.25.1"
  },
  "scripts": {
    "start": "rimraf dist && node --enable-source-maps --no-deprecation --max-http-header-size=100000 ./entrypoint.js",
    "start:prod": "NODE_ENV=production USE_DOTENV=1 node --max-http-header-size=100000 ./entrypoint.js",
    "build:prod": "yarn build && yarn build:prod:frontend",
    "build:prod:frontend": "rimraf dist && NODE_ENV=production NODE_OPTIONS='--no-deprecation' yarn run webpack --config webpack.config.js",
    "build": "yarn build:gql-fragments",
    "build:gql-fragments": "gql-fragments ./src/server/datamodel/dataModel.js",
    "test": "jest __tests__ --passWithNoTests",
    "data:index": "node ./bin/indexData.js",
    "release": "PACKAGE_VERSION=$(node -pe \"require('./package.json').version\") && npx auto-changelog -v $PACKAGE_VERSION && git commit -a -m \"[ic] Releasing $PACKAGE_VERSION\" && git tag -a $PACKAGE_VERSION -m \"v$PACKAGE_VERSION\" && git push && git push origin $PACKAGE_VERSION",
    "debug:webpack-bundle-analyze": "NODE_ENV=production NODE_OPTIONS='--no-deprecation' yarn run webpack --config webpack.config.js --profile --json=dist/stats.json && webpack-bundle-analyzer dist/stats.json"
  },
  "packageManager": "yarn@3.1.1"
}
